#include <iostream>

#include "CommandlineOptions.hh"
#include "Options.hh"
#include "ConfData.hh"

#include "PlacingTriang.hh"

int main (const int argc, const char** argv) {
  using namespace topcom;

  CommandlineOptions::init(argc, argv);
  MessageStreams::forced() << std::endl;
  MessageStreams::forced() << "------------------------------------------------------------------\n";
  MessageStreams::forced() << " computing a placing triangulations of a point configuration \n";
  MessageStreams::forced() << " TOPCOM client: " << CommandlineOptions::client() << '\n';
  MessageStreams::forced() << "------------------------------------------------------------------\n";
  MessageStreams::forced() << std::endl;
  Options options(Options::INPUT_CHIRO);
  ConfData confdata(options);
  confdata.read_input(std::cin);
  if (options.full_only()) {
    MessageStreams::result() << FineTriang(confdata.chiro()) << std::endl;      
  }
  else {
    MessageStreams::result() << PlacingTriang(confdata.chiro()) << std::endl;
  }
  return 0;
}

// eof chiro2placingtriang.cc
